#include "Config.h"
#include "World.h"
#include "LFGMgr.h"
#include "Chat.h"

class mod_mxw_sololfg : public PlayerScript
{
public:
    mod_mxw_sololfg() : PlayerScript("mod_mxw_sololfg") { }

    void OnLogin(Player* player, bool /*loginFirst*/)
    {
        if (sConfigMgr->GetBoolDefault("LFG.SoloMode", true))
        {
            if (!sLFGMgr->onTest())
            {
                sLFGMgr->ToggleTesting();
            }
        }
    }
};

void AddSC_mod_mxw_sololfg()
{
    new mod_mxw_sololfg;
}
